POST /api/v3/objects/{lcuid}/tags/set¶
Summary¶
POST /objects/{lcuid}/tags/set
Description¶
Set tags for this object
🔒 Required Permissions¶
At least one of the following permissions is required to access this endpoint:
{object}.update
Tags: objects
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Request Body¶
Required: Yes
Content Type: application/json¶
Schema¶
Type: object
Required fields: tag_lcuids
Properties:
tag_lcuids(array) (required): An array of tag lcuids- Array items:
string
Responses¶
Response: 200¶
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): The request succeededid(string): The lcuid of the objectclass(string): The class of the objecttags(array): An array of tags-
Array items:
objectType:objectProperties:
name(string)description(string)created_at(string)updated_at(string)tag_slug(string)lcuid(string)parent(object) Type:object
Properties:
name(string)-
options(object) Type:objectProperties:
primary_image_public_url(string)primary_image_background_removed_public_url(string)
-
lcuid(string) slug(string)website(string)description(string)created_at(string)is_parent_account(boolean)
Example Response¶
{
"success": true,
"id": "LCUID-LI-4102b9dd-fe7b-40aa-973b-eb44635a3465",
"class": "App\\InventoryItem",
"tags": [
{
"name": "test1",
"description": "",
"created_at": "2026-01-07T00:15:39.000000Z",
"updated_at": "2026-01-07T00:15:39.000000Z",
"tag_slug": "test1",
"lcuid": "LCUID-LTAG-4881535d-0b7c-401e-8c12-b5020188730d",
"parent": {
"name": "Blue River Real Estate",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-5c260933-3263-4232-87a5-739399e8c278",
"slug": "UnitTestAccountNpi2a",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-01-07T00:15:39.000000Z",
"is_parent_account": false
}
},
{
"name": "test2",
"description": "",
"created_at": "2026-01-07T00:15:39.000000Z",
"updated_at": "2026-01-07T00:15:39.000000Z",
"tag_slug": "test2",
"lcuid": "LCUID-LTAG-91493d86-1eb3-4fa0-9b7c-2eba241e80ca",
"parent": {
"name": "Blue River Real Estate",
"options": {
"primary_image_public_url": null,
"primary_image_background_removed_public_url": null
},
"lcuid": "LCUID-LA-5c260933-3263-4232-87a5-739399e8c278",
"slug": "UnitTestAccountNpi2a",
"website": null,
"description": "Here is a new unit test account description",
"created_at": "2026-01-07T00:15:39.000000Z",
"is_parent_account": false
}
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request POST \
"https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/tags/set" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************" \
--data "{
\"tag_lcuids\": [
\"LCUID-LTAG-506fc585-77be-11ec-acb9-c2cdb617d190\",
\"LCUID-LTAG-506fc585-77be-11ec-acb9-c2cdb617d191\"
]
}"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/tags/set"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
let body = {
"tag_lcuids": [
"LCUID-LTAG-506fc585-77be-11ec-acb9-c2cdb617d190",
"LCUID-LTAG-506fc585-77be-11ec-acb9-c2cdb617d191"
]
};
fetch(url, {
method: "POST",
headers,
body: JSON.stringify(body),
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->post(
'https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/tags/set',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
'json' => [
'tag_lcuids' => [
'LCUID-LTAG-506fc585-77be-11ec-acb9-c2cdb617d190',
'LCUID-LTAG-506fc585-77be-11ec-acb9-c2cdb617d191',
],
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/objects/LCUID-LA-506fc585-77be-11ec-acb9-c2cdb617d190/tags/set'
payload = {
"tag_lcuids": [
"LCUID-LTAG-506fc585-77be-11ec-acb9-c2cdb617d190",
"LCUID-LTAG-506fc585-77be-11ec-acb9-c2cdb617d191"
]
}
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('POST', url, headers=headers, json=payload)
response.json()